## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FindFileStruct Class Reference

`#include <DirectoryEnumerator.hpp>`

Inheritance diagram for FindFileStruct

Collaboration diagram for FindFileStruct:

List of all members.

## Public Methods

- const char* getName () const
    Retrieve name of file. More...
- bool isDirectory () const
    Determine whether file is a directory. More...

## Member Function Documentation

const char * FindFileStruct::getName ( | ) const`[]`

Retrieve name of file.

Returns:
  file name

bool FindFileStruct::isDirectory ( | ) const`[]`

Determine whether file is a directory.

Returns:
  true if file is a directory

The documentation for this class was generated from the following file:

- DirectoryEnumerator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.